

<div class="card" >


    <!-- <div class="ibox-title mb-2">
 
       <div class="ibox-title-child" style="display: inline-block">{{'ACCOUNT_DETAILS.ACTIVITY_HISTORY.TITLE'|translate}}</div>
     </div> -->
    <div class="card-body p-2">

 
                <!-- event -->
                <table class="table" *ngFor="let event of eventList ">
                  <tbody>
                    <tr>
                      <th class="col-md-5" scope="row">{{event.subject}}</th>
                      <td class="col-md-4" >[{{event.start_date | date : pipeParameters.date.formatNoTime}}-{{event.end_date | date : pipeParameters.date.formatNoTime}}]</td>
                      <td   class="col-md-2"  [ngStyle]="event.status === 'A_FAIRE'  ? { color:'green' } : event.status === 'EN_COURS' ? { color:'blue' } : { color:'red' }">{{event.status}}</td>
                    </tr>  
                  </tbody>
                </table>

   
 
       <!-- no data found msg -->
       <div *ngIf="(!eventList || eventList.length === 0) "
             class="alert alert-primary text-center" role="alert">
          <div class="iq-alert-icon text-center">
                <i class="ri-information-line"></i>
          </div>
          <div class="iq-alert-text">{{'ACCOUNT_DETAILS.ACTIVITY_HISTORY.NO_DATA'|translate}}</div>
       </div>
 
    </div>
 </div>
 